This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1011880 - It is not possible to install FSW without RTGov
It is not possible to install FSW without RTGov
Status: VERIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer, Configuration (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER4
: ---,6.0.0
Assigned To: Thomas Hauser
Len DiMaggio
:
: 1008001 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 06:13 EDT by Jiri Pechanec
Modified: 2015-02-05 20:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-09-25 06:13:11 EDT
There is no way how to install FSW that contains neither rtgov client nor rtgov server.

RTGov server installs unnecessary components, rtgov client requires a connection to rtgov server and has activity collection enabled by default.
Comment 1 Thomas Hauser 2013-09-25 09:57:39 EDT
This restriction is in accordance with
https://docspace.corp.redhat.com/docs/DOC-147383

selecting Serviceworks will also select RT-Gov Client, unless RT-Gov Server is also selected
deselecting Serviceworks will also deselect RT-Gov Client if it was selected

selecting RT-Gov Client will also select Serviceworks, and deselect RT-Gov Server
deselecting RT-Gov Client will also deselect Serviceworks
Comment 2 Jiri Pechanec 2013-09-26 01:22:14 EDT
I understand, but I think there still should be a way to install FSW without having a RTGov server running, something like developer focused/friendly configuration.
Comment 3 Thomas Hauser 2013-09-30 10:33:44 EDT
This would be a rather easy change to implement, but we need to know the direction we're going with this to actually make it.
Comment 4 Julian Coleman 2013-10-07 11:15:48 EDT
The available combinations were chosen to cut down on the number of supported/tested combinations.  They are:

  Everything co-located
  FSW + RT-Gov
  RT-Gov server only
  S-RAMP server only (DT-Gov optional)

So, while it's possible to make FSW without RT-Gov server or client, this wasn't in the original specification (as written up in the installer requirements).
Comment 5 Jiri Pechanec 2013-10-09 08:47:37 EDT
Accepted
Comment 6 Alan Santos 2013-10-14 14:45:19 EDT
It's true that the decision was made to *always* include either RTGov client or RTGov client + server, but there is no requirement that this be enabled by default. 

If RTGov affects default performance or behavior then I suggest we provide a means to disable/disconnect the RTGov client as part of the installation - or - we revisit the decision and make it entirely optional.
Comment 7 Julian Coleman 2013-10-15 07:01:45 EDT
*** Bug 1008001 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.